Subject: Procmail not being called correctly on Cygwin 1.7
From: Thomas Baker <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 23 Feb 2010 00:49:06 +0900
List-Id: <cygwin.cygwin.com>

Dear all,

I recently upgraded to Cygwin 1.7 on my two machines:
-- an ASUS netbook with Windows XP (German version)
-- a Fujitsu-Siemens desktop with Windows XP (English version)

Each machine has its own installed base of software on C: (including Cygwin),
but all data files -- including configuration files for bash,
fetchmail, procmail, etc
-- are on partitions that I move back and forth between the machines (e.g., to
the netbook when I am on the road, back to the desktop when I am back in my
office).

I have for years successfully used fetchmail to pick up my mail and pass
messages to procmail for distribution to my mail boxes.

After the upgrade to Cygwin 1.7, this still functions flawlessly on the netbook.

On the desktop, however, messages are not passed to procmail but
accumulate -- undistributed -- in /var/spool/mail/baker, e.g.:

      /var/spool/mail/tbaker/msg.UwD

I spent the greater part of yesterday carefully comparing the two installations:
-- versions of the relevant software are the same:
    cygwin      1.7.1-1
    fetchmail   6.3.9-1
    procmail    3.22-10
-- /etc/fstab are the same. On both systems, /etc/fstab.d is empty.
-- My login is the same on both machines, and on both machines I am
Administrator
   (and sole user).
-- File permissions and ownership are identical for /usr/bin/procmail
and /usr/bin/fetchmail
-- On the netbook, procmail.log correctly records that mail is being distributed
-- On the desktop, procmail.log is not written to at all, confirming
that it is not even
   being called.
-- The configuration files ~/.fetchmailrc and ~/.procmailrc are
identical between the
   machines.
-- On both machines, a line added at the end of /etc/profile sources the same
   local bash profile.
-- File permissions and ownership are identifcal for the mailboxes to
which procmail
   is supposed to write.
-- the output of "mount" is identical on each machine (with the
addition of a DVD
   drive on the desktop).

I have looked through mailing lists, Google, and printed manuals for clues on
what other executiables or configuration files might be causing this.
Mail used to
work fine on the desktop, so I have no reason to think the English version of
Windows XP is making the difference.

With email distribution broken, I am compelled to move to my netbook as my
main machine for now, and am currently at a loss as to where else I
might seek the cause
of this problem.  Can anyone suggest further diagnostics?

Many thanks,
Tom Baker

-- 
Tom Baker <[email-masked]>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple